[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TPropsStorage.StoreAnyProperty

Store a property value

## Declaration

Source position: rttiutils.pp line 110

`public procedure TPropsStorage.StoreAnyProperty(`
`PropInfo: PPropInfo`
`);`

## Arguments

`PropInfo` |  | Information about property to store

## Description

StoreAnyProperty stores the property with information specified in PropInfo in the storage mechanism. The property value is retrieved from the object instance specified in the AObject property of TPropsStorage.

## Errors

If the property pointer is invalid or AObject is invalid, an exception will be raised.

## See also

AObject |  | Object to load or store properties from
LoadAnyProperty |  | Load a property value
LoadProperties |  | Load a list of properties
StoreProperties |  | Store a list of properties

The latest version of this document can be found at lazarus-ccr.sourceforge.net .